%define dirver %(echo %version | cut -d. -f1-2)
Name:          geogebra
Version:       5.0.266.0
Release:       1mamba
Summary:       A free mathematics software for learning and teaching
Group:         Graphical Desktop/Applications/Educational
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://www.geogebra.at/
Source0:       http://download.geogebra.org/installers/%{dirver}/GeoGebra-Linux-Portable-%{version}.tar.bz2
Source1:       http://dev.geogebra.org/svn/branches/ggb32/geogebra/unix/usr/share/mime/packages/geogebra.xml
Source2:       http://www.geogebra.org/download/GeoGebra_hicolor_icons.tar.gz
Source3:       http://www.geogebra.org/download/GeoGebra_Thumbnail_KDE.tar.gz
Source4:       geogebra-desktopfile
#Patch0:        %{name}-4.0.41.0-geogebra_script.patch
Patch1:        %{name}-3.2.47.0-geogebrathumbnail-desktop-mime.patch
License:       GPL
Requires:      java
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
GeoGebra is a free mathematics software for learning and teaching
Features:
 * Interactive graphics, algebra and spreadsheet
 * From elementary school to university level
 * Free learning materials

%package thumbnail-kde
Summary:       KDE Thumbnail Creator for GeoGebra files
Group:         Graphical Desktop/Applications/Educational
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description thumbnail-kde
This package provides GeoGebraThumbnail, a KDE thumbnail-plugin that generates small images (thumbnails) for GeoGebra files, to be displayed, for example, on Konqueror and Dolphin file managers.

%prep
%setup -q -n GeoGebra-Linux-Portable-%{version} -a2 -a3
#%patch0 -p1
%patch1 -p1

%build
cd GeoGebraThumbnail
%cmake_kde4 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%makeinstall -C GeoGebraThumbnail/build

install -D -m 755 geogebra/geogebra %{buildroot}%{_bindir}/%{name}
sed -i "s,@GG_PATH@,%{_datadir}/%{name}," %{buildroot}%{_bindir}/%{name}

install -d %{buildroot}%{_datadir}/%{name}
install -m 644 geogebra/*.jar geogebra/*.txt %{buildroot}%{_datadir}/%{name}/

# install hicolor icons
install -d %{buildroot}%{_datadir}/icons/
cp -R hicolor %{buildroot}%{_datadir}/icons/

# install mime info file
install -D -m 644 %{S:1} %{buildroot}%{_datadir}/mime/packages/%{name}.xml

# install desktop file and icon
install -D -m 644 %{S:4} %{buildroot}%{_datadir}/applications/%{name}.desktop
sed -i "s,@NAME@,%{name},;s,@JARDIR@,%{_datadir}/%{name}," \
   %{buildroot}%{_datadir}/applications/%{name}.desktop
#install -D -m 644 %{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null
exit 0

%posttrans
update-desktop-database -q &>/dev/null
update-mime-database %{_datadir}/mime &>/dev/null
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null
exit 0

%postun
if [ $1 -eq 0 ]; then
   update-desktop-database -q &>/dev/null
   update-mime-database %{_datadir}/mime &>/dev/null
   touch --no-create %{_datadir}/icons/hicolor &>/dev/null
   gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null
fi
exit 0

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/geogebra/
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/geogebra.png
%{_datadir}/icons/hicolor/*/mimetypes/application-vnd.geogebra.file.png
%{_datadir}/icons/hicolor/*/mimetypes/application-vnd.geogebra.tool.png
%{_datadir}/icons/hicolor/scalable/apps/geogebra.svgz
%{_datadir}/icons/hicolor/scalable/mimetypes/application-vnd.geogebra.file.svgz
%{_datadir}/icons/hicolor/scalable/mimetypes/application-vnd.geogebra.tool.svgz

%files thumbnail-kde
%defattr(-,root,root)
%{_kde4_libdir}/kde4/geogebrathumbnail.so
%{_kde4_servicesdir}/geogebrathumbnail.desktop

%changelog
* Wed Aug 10 2016 Automatic Build System <autodist@mambasoft.it> 5.0.266.0-1mamba
- automatic version update by autodist

* Tue Jul 19 2016 Automatic Build System <autodist@mambasoft.it> 5.0.260.0-1mamba
- automatic version update by autodist

* Sat May 28 2016 Automatic Build System <autodist@mambasoft.it> 5.0.241.0-1mamba
- automatic version update by autodist

* Fri Apr 29 2016 Automatic Build System <autodist@mambasoft.it> 5.0.231.0-1mamba
- automatic version update by autodist

* Mon Apr 25 2016 Automatic Build System <autodist@mambasoft.it> 5.0.230.0-1mamba
- automatic version update by autodist

* Tue Feb 16 2016 Automatic Build System <autodist@mambasoft.it> 5.0.205.0-1mamba
- automatic version update by autodist

* Wed Feb 10 2016 Automatic Build System <autodist@mambasoft.it> 5.0.202.0-1mamba
- automatic version update by autodist

* Wed Dec 30 2015 Automatic Build System <autodist@mambasoft.it> 5.0.190.0-1mamba
- automatic version update by autodist

* Fri Dec 18 2015 Automatic Build System <autodist@mambasoft.it> 5.0.185.0-1mamba
- automatic version update by autodist

* Thu Dec 10 2015 Automatic Build System <autodist@mambasoft.it> 5.0.180.0-1mamba
- automatic version update by autodist

* Fri Nov 13 2015 Automatic Build System <autodist@mambasoft.it> 5.0.170.0-1mamba
- automatic version update by autodist

* Mon Nov 02 2015 Automatic Build System <autodist@mambasoft.it> 5.0.168.0-1mamba
- automatic version update by autodist

* Tue Oct 27 2015 Automatic Build System <autodist@mambasoft.it> 5.0.166.0-1mamba
- automatic version update by autodist

* Fri Oct 23 2015 Automatic Build System <autodist@mambasoft.it> 5.0.164.0-1mamba
- automatic version update by autodist

* Sun Oct 18 2015 Automatic Build System <autodist@mambasoft.it> 5.0.161.0-1mamba
- automatic version update by autodist

* Thu Oct 08 2015 Automatic Build System <autodist@mambasoft.it> 5.0.158.0-1mamba
- automatic version update by autodist

* Fri Sep 18 2015 Automatic Build System <autodist@mambasoft.it> 5.0.150.0-1mamba
- automatic version update by autodist

* Sat Sep 12 2015 Automatic Build System <autodist@mambasoft.it> 5.0.149.0-1mamba
- automatic version update by autodist

* Wed Sep 02 2015 Automatic Build System <autodist@mambasoft.it> 5.0.146.0-1mamba
- automatic version update by autodist

* Sat Aug 22 2015 Automatic Build System <autodist@mambasoft.it> 5.0.143.0-1mamba
- automatic version update by autodist

* Thu Jul 02 2015 Automatic Build System <autodist@mambasoft.it> 5.0.129.0-1mamba
- automatic version update by autodist

* Sun Jun 21 2015 Automatic Build System <autodist@mambasoft.it> 5.0.128.0-1mamba
- automatic version update by autodist

* Thu Jun 11 2015 Automatic Build System <autodist@mambasoft.it> 5.0.125.0-1mamba
- automatic update by autodist

* Mon May 25 2015 Automatic Build System <autodist@mambasoft.it> 5.0.119.0-1mamba
- automatic version update by autodist

* Mon May 18 2015 Automatic Build System <autodist@mambasoft.it> 5.0.112.0-1mamba
- automatic version update by autodist

* Fri Apr 03 2015 Automatic Build System <autodist@mambasoft.it> 5.0.82.0-1mamba
- automatic update by autodist

* Mon Mar 16 2015 Automatic Build System <autodist@mambasoft.it> 5.0.74.0-1mamba
- automatic version update by autodist

* Tue Feb 17 2015 Automatic Build System <autodist@mambasoft.it> 5.0.64.0-1mamba
- automatic update by autodist

* Fri Feb 06 2015 Automatic Build System <autodist@mambasoft.it> 5.0.61.0-1mamba
- automatic update by autodist

* Sun Jan 18 2015 Automatic Build System <autodist@mambasoft.it> 5.0.57.0-1mamba
- automatic version update by autodist

* Thu Jan 08 2015 Automatic Build System <autodist@mambasoft.it> 5.0.56.0-1mamba
- automatic update by autodist

* Sat Jan 03 2015 Automatic Build System <autodist@mambasoft.it> 5.0.55.0-1mamba
- automatic update by autodist

* Mon Dec 29 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.53.0-1mamba
- update to 5.0.53.0

* Sat Oct 05 2013 Automatic Build System <autodist@mambasoft.it> 4.2.60.0-1mamba
- automatic version update by autodist

* Sat Sep 14 2013 Automatic Build System <autodist@mambasoft.it> 4.2.57.0-1mamba
- automatic version update by autodist

* Sun Sep 01 2013 Automatic Build System <autodist@mambasoft.it> 4.2.56.0-1mamba
- automatic version update by autodist

* Sun Aug 11 2013 Automatic Build System <autodist@mambasoft.it> 4.2.55.0-1mamba
- automatic version update by autodist

* Fri Jun 28 2013 Automatic Build System <autodist@mambasoft.it> 4.2.51.0-1mamba
- automatic version update by autodist

* Sun May 26 2013 Automatic Build System <autodist@mambasoft.it> 4.2.47.0-1mamba
- automatic version update by autodist

* Sun May 19 2013 Automatic Build System <autodist@mambasoft.it> 4.2.41.0-1mamba
- automatic version update by autodist

* Fri May 03 2013 Automatic Build System <autodist@mambasoft.it> 4.2.36.0-1mamba
- automatic version update by autodist

* Wed Apr 24 2013 Automatic Build System <autodist@mambasoft.it> 4.2.31.0-1mamba
- automatic version update by autodist

* Mon Apr 22 2013 Automatic Build System <autodist@mambasoft.it> 4.2.30.0-1mamba
- automatic version update by autodist

* Fri Oct 05 2012 Davide Madrisan <davide.madrisan@gmail.com> 4.0.41.0-1mamba
- update to 4.0.41.0

* Tue Nov 01 2011 Davide Madrisan <davide.madrisan@gmail.com> 3.2.47.0-3mamba
- geogebrathumbnail-desktop: add missing trailing semicolon to MymeType 

* Sat Oct 29 2011 Davide Madrisan <davide.madrisan@gmail.com> 3.2.47.0-2mamba
- add a mime info file and an appropriate MimeType line in the desktop file
- add mime icons (.png and .svgz)

* Wed Oct 26 2011 Davide Madrisan <davide.madrisan@gmail.com> 3.2.47.0-1mamba
- update to 3.2.47.0

* Wed Oct 26 2011 Davide Madrisan <davide.madrisan@gmail.com> 2.6a-2mamba
- repackaged for openmamba

* Tue Jul 26 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 2.6a-1qilnx
- package created by autospec
